Subject: Re: [syzbot] [kernfs?] possible deadlock in kernfs_path_from_node

From: syzbot <[email-masked]>
Date: Sun, 13 Oct 2024 05:09:02 -0700

syzbot suspects this issue was fixed by commit:

commit b6273b55d88539c6a7127a697c61d3f89c5831fe
Author: Takaya Saeki <[email-masked]>
Date:   Tue Aug 13 10:03:12 2024 +0000

    filemap: add trace events for get_pages, map_pages, and fault

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10f59087980000
start commit:   8a3f14bb1e94 libbpf: Workaround (another) -Wmaybe-uninitia..
git tree:       bpf-next
kernel config:  https://syzkaller.appspot.com/x/.config?x=eb19570bf3f0c14f
dashboard link: https://syzkaller.appspot.com/bug?extid=0772686ab2731ef3b722
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=10aa1ffb980000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=15b1abc7980000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: filemap: add trace events for get_pages, map_pages, and fault

For information about bisection process see: https://goo.gl/tpsmEJ#bisection